The m17n Library: Data Fields

Here is a list of all struct and union fields with links to the structures/unions they belong to:

### - a -

- active : MInputContext
- adjusted : MFLTGlyph
- advance_is_absolute : MFLTGlyphAdjustment
- align_head : MDrawControl
- allocated : MFLTGlyphString
- anti_alias : MDrawControl
- arg : MInputContext , MInputMethod
- as_image : MDrawControl
- ascent : MFLTGlyph , MInputContext , MDrawGlyph
- at_most : MConverter
- max_line_ascent : MDrawControl
- max_line_descent : MDrawControl
- max_line_width : MDrawControl

### - b -

- back : MFLTGlyphAdjustment
- bom : MCodingInfoUTF

### - c -

- c : MConverter , MFLTGlyph
- callback_list : MInputDriver
- candidate_from : MInputContext
- candidate_index : MInputContext
- candidate_list : MInputContext
- candidate_show : MInputContext
- candidate_to : MInputContext
- candidates_changed : MInputContext
- check_otf : MFLTFont
- client : MInputGUIArgIC
- client_win : MInputXIMArgIC
- clip_region : MDrawControl
- close_im : MInputDriver
- code : MFLTGlyph
- code_unit_bits : MCodingInfoUTF
- color : MFaceHLineProp
- color_bottom : MFaceBoxProp
- color_left : MFaceBoxProp
- color_right : MFaceBoxProp
- color_top : MFaceBoxProp
- control : MDrawTextItem
- create_ic : MInputDriver
- cursor_bidi : MDrawControl
- cursor_pos : MDrawControl , MInputContext
- cursor_pos_changed : MInputContext
- cursor_width : MDrawControl

### - d -

- db : MInputXIMArgIM
- dbl : MConverter
- delta : MDrawTextItem
- descent : MInputContext , MFLTGlyph , MDrawGlyph
- designations : MCodingInfoISO2022
- destroy_ic : MInputDriver
- disable_caching : MDrawControl
- disable_overlapping_adjustment : MDrawControl
- display : MInputXIMArgIM
- drive_otf : MFLTFont
- driver : MInputMethod

### - e -

- enable_bidi : MDrawControl
- encoded : MFLTGlyph
- endian : MCodingInfoUTF
- measured : MFLTGlyph
- metrics : MDrawGlyphInfo

### - f -

- face : MDrawTextItem
- family : MFLTFont
- features : MFLTOtfSpec
- filler : M17NObjectHead
- filter : MInputDriver
- fixed_width : MDrawControl
- flags : MCodingInfoISO2022
- focus : MInputGUIArgIC
- focus_win : MInputXIMArgIC
- font : MDrawGlyphInfo , MDrawGlyph
- font_type : MDrawGlyph
- fontp : MDrawGlyph
- fontsize : MInputContext
- format : MDrawControl
- frame : MInputGUIArgIC
- from : MDrawGlyph , MFLTGlyph , MDrawGlyphInfo
- MFACE_HLINE_BOTTOM : MFaceHLineProp
- MFACE_HLINE_OVER : MFaceHLineProp
- MFACE_HLINE_STRIKE_THROUGH : MFaceHLineProp
- MFACE_HLINE_TOP : MFaceHLineProp
- MFACE_HLINE_UNDER : MFaceHLineProp
- MFaceHLineType : MFaceHLineProp

### - g -

- get_glyph_id : MFLTFont
- get_metrics : MFLTFont
- glyph_code : MDrawGlyph
- glyph_size : MFLTGlyphString
- glyphs : MFLTGlyphString

### - h -

- height : MDrawMetric

### - i -

- ignore_formatting_char : MDrawControl
- im : MInputContext
- info : MInputMethod , MInputContext
- initial_invocation : MCodingInfoISO2022
- inner_hmargin : MFaceBoxProp
- inner_vmargin : MFaceBoxProp
- input_style : MInputXIMArgIC
- internal : MFLTFont
- internal_info : MConverter
- min_line_ascent : MDrawControl
- min_line_descent : MDrawControl

### - l -

- langsys : MFLTOtfSpec
- language : MInputMethod
- last_block : MConverter
- lbearing : MFLTGlyph , MDrawGlyph
- left_from : MDrawGlyphInfo
- left_to : MDrawGlyphInfo
- lenient : MConverter
- line_break : MDrawControl
- line_from : MDrawGlyphInfo
- line_to : MDrawGlyphInfo
- locale : MInputXIMArgIM
- logical_width : MDrawGlyphInfo
- lookup : MInputDriver

### - n -

- name : MInputMethod
- nbytes : MConverter
- nchars : MConverter
- next_to : MDrawGlyphInfo

### - o -

- modifier_list : MInputXIMArgIM
- open_im : MInputDriver
- orientation_reversed : MDrawControl
- outer_hmargin : MFaceBoxProp
- outer_vmargin : MFaceBoxProp

### - p -

- partial_update : MDrawControl
- plist : MInputContext
- pos : MInputContext
- preedit : MInputContext
- preedit_attrs : MInputXIMArgIC
- preedit_changed : MInputContext
- prev_from : MDrawGlyphInfo
- produced : MInputContext
- ptr : MConverter

### - r -

- r2l : MFLTGlyphString
- rbearing : MFLTGlyph , MDrawGlyph
- res_class : MInputXIMArgIM
- res_name : MInputXIMArgIM
- result : MConverter
- right_from : MDrawGlyphInfo
- right_to : MDrawGlyphInfo

### - s -

- script : MFLTOtfSpec
- set : MFLTGlyphAdjustment
- spot : MInputContext
- status : MConverter , MInputContext
- status_attrs : MInputXIMArgIC
- status_changed : MInputContext
- sym : MFLTOtfSpec

### - t -

- mt : MInputContext , MDrawTextItem
- tab_width : MDrawControl
- to : MFLTGlyph , MDrawGlyphInfo , MDrawGlyph
- two_dimensional : MDrawControl
- type : MFaceHLineProp

### - u -

- used : MFLTGlyphString

### - w -

- width : MFaceHLineProp , MFaceBoxProp , MDrawMetric
- with_cursor : MDrawControl

### - x -

- x : MInputContext , MDrawMetric , MDrawGlyphInfo
- x_advance : MDrawGlyph
- x_off : MDrawGlyph
- x_ppem : MFLTFont
- xadv : MFLTGlyph , MFLTGlyphAdjustment
- xoff : MFLTGlyph , MFLTGlyphAdjustment

### - y -

- y : MInputContext , MDrawMetric , MDrawGlyphInfo
- y_advance : MDrawGlyph
- y_off : MDrawGlyph
- y_ppem : MFLTFont
- yadv : MFLTGlyph , MFLTGlyphAdjustment
- yoff : MFLTGlyph , MFLTGlyphAdjustment